### Method

# Gtk MediaStreamerror_valist

#### Declaration [src]

    void
    gtk_media_stream_error_valist (
      GtkMediaStream* self,
      GQuark domain,
      int code,
      const char* format,
      va_list args
    )

#### Description [src]

Sets `self` into an error state using a printf()-style format string.

This is a utility function that calls `gtk_media_stream_gerror()`. See that function for details.

This method is not directly available to language bindings.

#### Parameters

`domain`

  Type: `GQuark`

  Error domain.

`code`

  Type: `int`

  Error code.

`format`

  Type: `const char*`

  Printf()-style format for error message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  `va_list` of parameters for the message format.